# VERSION is subbed out during rake srpm process
%global realversion 3.1.3
%global rpmversion 3.1.3

Summary:   Start and stop system services
Name:      mcollective-service
Version:   %{rpmversion}
Release:   1%{?dist}
Vendor:    %{?_host_vendor}
License:   ASL 2.0
URL:       https://github.com/puppetlabs/mcollective-service-agent
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Group:     System Tools
Source0:   mcollective-service-%{realversion}.tar.gz

%description
Start and stop system services

%prep
%setup -q  -n %{name}-%{realversion}

%build

%install
rm -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective
cp -a agent application data util validator %{buildroot}%{_libexecdir}/mcollective/mcollective

%clean
rm -rf %{buildroot}

%package agent
Requires: mcollective-service-common = %{version}-%{release}
Group: System Tools
Summary:   Start and stop system services

%package client
Requires: mcollective-service-common = %{version}-%{release}
Group: System Tools
Summary:   Start and stop system services

%package common
Requires: mcollective-common >= 2.2.1
Group: System Tools
Summary:   Start and stop system services

%description agent
Start and stop system services

%description client
Start and stop system services

%description common
Start and stop system services

%files agent
%{_libexecdir}/mcollective/mcollective/agent/*.rb

%files client
%{_libexecdir}/mcollective/mcollective/application/*.rb

%files common
%{_libexecdir}/mcollective/mcollective/agent/*.ddl
%{_libexecdir}/mcollective/mcollective/data/*
%{_libexecdir}/mcollective/mcollective/util/*
%{_libexecdir}/mcollective/mcollective/validator/*

%changelog
* Thu Jun 19 2014 Puppet Labs Release <info@puppetlabs.com> -  3.1.3-1
- Build for 3.1.3
